Browse Source

updated 28 packages

autoconf-2.71-1

automake-1.16.3-1

bison-3.7.5-1

e2fsprogs-1.46.1-1

findutils-4.8.0-1

galera-26.4.7-1

gawk-5.1.0-1

gdbm-1.19-1

gjs-1.66.2-1

gnome-initial-setup-3.36.4-2

grep-3.6-1

help2man-1.48.1-1

ipvsadm-1.31-1

less-563-1

libidn-1.36-1

make-4.3-1

mariadb-10.5.9-1

mozjs78-78.7.0-1

mpfr-4.1.0-1

nettle-3.7.1-1

parted-3.4-1

pcre2-10.36-1

polkit-0.118-1

strongswan-5.9.1-1

tar-1.34-1

trousers-0.3.15-1

wget-1.21-1

wireshark-3.4.3-1

git-svn-id: http://trac.vinelinux.org/repos/projects/specs@12546 ec354946-7b23-47d6-9f5a-488ba84defc7
tomop 1 year ago
parent
commit
9ea3fa3205

+ 17 - 23
a/autoconf/autoconf-vl.spec

@@ -6,16 +6,17 @@
 Summary: A GNU tool for automatically configuring source code.
 Summary(ja): ソースコードを自動的に設定するための GNU ツール
 Name: autoconf
-Version: 2.69
-Release: 2%{?_dist_release}
+Version: 2.71
+Release: 1%{?_dist_release}
+Group: programming
+Vendor: Project Vine
+Distribution: Vine Linux
+
 License: GPL
-Group: Development/Tools
 URL: http://www.gnu.org/software/autoconf/
 
 Source: http://ftp.gnu.org/pub/gnu/autoconf/autoconf-%{version}.tar.xz
-Patch1: autoconf-2.69-perl-5.22-autoscan.patch
 Patch2: autoconf-test38.patch
-Patch3: autoconf-test501.patch
 
 # Vine Source(s)
 Source10: autoconf-mode-install.sh
@@ -23,7 +24,7 @@ Source11: autoconf-mode-remove.sh
 
 Requires(post,preun): /sbin/install-info
 Requires: gawk, m4, mktemp, perl, textutils
-Obsoletes: autoconf253
+Obsoletes: autoconf253 < 2.54
 BuildArch: noarch
 BuildRoot: %{_tmppath}/%{name}-%{version}-root
 
@@ -59,9 +60,10 @@ Autoconf が生成したスクリプトを使ってソフトウェアを設定
 Autoconf が必要になるのはスクリプトを生成するときのみで,使うときには
 必要ありません.
 
+
 %package mode
 Summary: Emacs-lisp autoconf-mode for autoconf/autotest
-Group: Applications/Editors/Emacs
+Group: programming
 BuildRequires: emacs
 %prereq_ge emacsen-common
 Requires: emacsen
@@ -72,16 +74,13 @@ Emacs-lisp autoconf-mode for autoconf/autotest
 
 %prep
 %setup -q -n autoconf-%{version}
-%patch1 -p1
 %patch2 -p1
-%patch3 -p1
 
 
 %build
 %configure
 make %{?_smp_mflags}
 
-#make check
 
 %install
 rm -rf ${RPM_BUILD_ROOT}
@@ -116,11 +115,13 @@ mkdir -p $RPM_BUILD_ROOT/%{emacsen_pkgdir}/remove
 
 rm -f %{buildroot}%{_datadir}/emacs/site-lisp/auto*-mode.elc
 
+
 %check
 %if %{with check}
 make check %{?_smp_mflags}
 %endif
 
+
 %clean
 rm -rf ${RPM_BUILD_ROOT}
 
@@ -128,20 +129,13 @@ rm -rf ${RPM_BUILD_ROOT}
 %post
 /sbin/install-info %{_infodir}/autoconf.info.gz %{_infodir}/dir
 
-
 %post mode
-
 if [ "$1" = 2 ]; then
-
 %_emacsenPackageRemove autoconf-mode
-
 fi
-
 %_addemacsenlist autoconf-mode
-
 %_emacsenPackageInstall autoconf-mode
 
-
 %preun
 if [ "$1" = 0 ]; then
     /sbin/install-info --del %{_infodir}/autoconf.info.gz %{_infodir}/dir
@@ -149,13 +143,9 @@ fi
 
 
 %preun mode
-
 if [ "$1" = 0 ]; then
-
 %_emacsenPackageRemove autoconf-mode
-
 %_removeemacsenlist autoconf-mode
-
 fi
 
 
@@ -167,7 +157,6 @@ fi
 %{_datadir}/autoconf
 %{_mandir}/man1/*
 
-
 %files mode
 %defattr(-,root,root)
 %{_datadir}/emacs/site-lisp/autoconf-mode/
@@ -178,11 +167,16 @@ fi
 
 
 %changelog
+* Wed Feb 24 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.71-1
+- updated to 2.71.
+- dropped Patch1 and 3: fixed in upstream.
+- updated Patch2.
+
 * Thu Aug 29 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.69-2
 - added Patch1-3.
 
 * Sat Oct 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.69-1
-- upate to 2.69
+- update to 2.69
 
 * Sun Nov 13 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2.68-1
 - new upstream release

+ 47 - 36
a/automake/automake-vl.spec

@@ -1,39 +1,43 @@
+# run "make check" by default
+%bcond_without check
+
 %define api_version 1.16
 
 Summary: A GNU tool for automatically creating Makefiles.
 Summary(ja): Makefile を自動生成するための GNU ツール
 Name: automake
-Version: %{api_version}.1
+Version: %{api_version}.3
 Release: 1%{?_dist_release}
+Group: programming
+Vendor: Project Vine
+Distribution: Vine Linux
+Packager: daisuke
+
 License: GPL
-Group: Development/Tools
+URL: http://sources.redhat.com/automake
 Source: https://ftp.gnu.org/gnu/automake/automake-%{version}.tar.xz
 Source2: http://git.savannah.gnu.org/cgit/config.git/plain/config.sub
 Source3: http://git.savannah.gnu.org/cgit/config.git/plain/config.guess
 
-Patch0:     automake-1.15-disable-vala-tests.patch
-# BZ#1716384
-# automake bug#31222 - Don't use '\n' in sed substitution
-# http://git.savannah.gnu.org/cgit/automake.git/commit/?id=a348d830659fffd2cfc42994524783b07e69b4b5
-Patch1:     automake-1.16-pep3147-tweak-fix.patch
-
-URL: http://sources.redhat.com/automake
-Requires: perl, autoconf >= 2.58
-Buildrequires: autoconf >= 2.58
-Requires(pre): install-info
-
-BuildRequires: texinfo
-
 BuildArch: noarch
-Buildroot: %{_tmppath}/%{name}-%{version}-root
-
-
-Vendor: Project Vine
-Distribution: Vine Linux
-Packager: daisuke
-
-# run "make check" by default
-%bcond_without check
+BuildRoot: %{_tmppath}/%{name}-%{version}-root
+
+BuildRequires:  autoconf >= 2.58
+BuildRequires:  texinfo
+BuildRequires:  coreutils
+BuildRequires:  findutils
+BuildRequires:  help2man
+BuildRequires:  perl(Thread::Queue)
+BuildRequires:  perl(threads)
+Requires:       perl, autoconf >= 2.58
+# requirements not detected automatically (#919810)
+Requires:       perl(Thread::Queue)
+Requires:       perl(threads)
+Requires(pre):  install-info
+
+# remove bogus Automake perl dependencies and provides
+%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Automake::
+%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Automake::
 
 %description
 Automake is an experimental Makefile generator. Automake was inspired
@@ -48,18 +52,19 @@ GNU's Autoconf package.
 
 %prep
 %autosetup -p1
-autoreconf -vi
+#autoreconf -vi
+
+for file in %SOURCE2 %SOURCE3; do
+    for dest in $(find -name "$(basename "$file")"); do
+        cp "$file" "$dest"
+    done
+done
+sed -i -e '/t\/vala-.*sh/d' t/list-of-tests.mk
 
-#for file in %SOURCE2 %SOURCE3; do
-#    for dest in $(find -name "$(basename "$file")"); do
-#        cp "$file" "$dest"
-#    done
-#done
 
 %build
-./configure \
-  --prefix=%{_prefix} \
-  --docdir=%{_docdir}/%{name}-%{version}
+./bootstrap
+%configure
 %{__make} %{?_smp_mflags}
 cp m4/acdir/README README.aclocal
 cp contrib/multilib/README README.multilib
@@ -70,7 +75,6 @@ rm -rf ${RPM_BUILD_ROOT}
 make install DESTDIR=${RPM_BUILD_ROOT}
 mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
 
-
 # create this dir empty so we can own it
 rm -rf ${RPM_BUILD_ROOT}%{_datadir}/aclocal
 mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/aclocal
@@ -83,6 +87,7 @@ rm -f $RPM_BUILD_ROOT%{_infodir}/dir
     || ( cat ./test-suite.log && false )
 %endif
 
+
 %clean
 rm -rf ${RPM_BUILD_ROOT}
 
@@ -90,7 +95,6 @@ rm -rf ${RPM_BUILD_ROOT}
 %post
 /sbin/install-info %{_infodir}/automake.info.gz %{_infodir}/dir ||:
 
-
 %preun
 if [ $1 = 0 ]; then
     /sbin/install-info --delete %{_infodir}/automake.info.gz %{_infodir}/dir  ||:
@@ -100,8 +104,9 @@ fi
 %files
 %defattr(-,root,root)
 %license COPYING*
-%doc AUTHORS ChangeLog INSTALL NEWS README THANKS
+%doc AUTHORS NEWS README THANKS
 %doc REAME.aclocal README.multilib
+%doc %{_pkgdocdir}/amhello-1.0.tar.gz
 %{_bindir}/*
 %{_infodir}/*.info*
 %{_datadir}/automake-%{api_version}
@@ -111,6 +116,12 @@ fi
 
 
 %changelog
+* Wed Feb 24 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.16.3-1
+- updated to 1.16.3.
+- dropped Patch0: got same effect by sed.
+- dropped Patch1.
+- imported Patch1 from rawhide.
+
 * Thu Aug 29 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.16.1-1
 - updated to 1.16.1.
 

+ 7 - 1
b/bison/bison-vl.spec

@@ -3,7 +3,7 @@
 Summary:        A GNU general-purpose parser generator.
 Summary(ja):    GNU 汎用構文解析器生成プログラム
 Name:           bison
-Version:        3.7.2
+Version:        3.7.5
 Release:        1%{?_dist_release}
 Group:          programming
 Vendor:         Project Vine
@@ -51,6 +51,9 @@ C 言語による開発を行う場合は,多くの C プログラムの作成
 bison をインストールして下さい.
 
 
+%debug_package
+
+
 %prep
 %setup -q
 
@@ -115,6 +118,9 @@ fi
 
 
 %changelog
+* Wed Feb 24 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.7.5-1
+- new upstream release.
+
 * Sat Sep 12 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.7.2-1
 - new upstream release.
 

+ 11 - 5
e/e2fsprogs/e2fsprogs-vl.spec

@@ -5,7 +5,7 @@
 Summary:        Utilities for managing ext2/3/4 filesystem.
 Summary(ja):    ext2/3/4 ファイルシステム操作ユーティリティ
 Name:           e2fsprogs
-Version:        1.45.6
+Version:        1.46.1
 Release:        1%{?_dist_release}
 Group:          admin-tools,system
 Vendor:         Project Vine
@@ -78,7 +78,7 @@ e2fsprogs-devel には ext2/3/4 ファイルシステム固有のプログラム
 ## to build compat32 for x86_64 architecture support
 %package -n compat32-%{name}
 Summary:     Utilities for managing ext2/3/4 filesystem.
-Group:       system
+Group:       system,legacy
 %description -n compat32-%{name}
 The e2fsprogs package contains a number of utilities for creating,
 checking, modifying, and correcting any inconsistencies in ext2/3/4
@@ -96,7 +96,7 @@ performance of an ext2/3/4 filesystem.
 
 %package -n compat32-%{name}-devel
 Summary:     Ext2/3/4 filesystem-specific static libraries and headers.
-Group:       programming
+Group:       programming,legacy
 Requires:    compat32-%{name} = %{version}
 %description -n compat32-%{name}-devel
 E2fsprogs-devel contains the libraries and header files needed to
@@ -107,6 +107,9 @@ filesystem-specific programs. If you install e2fsprogs-devel, you'll
 also want to install e2fsprogs.
 
 
+%debug_package
+
+
 %prep
 %setup -q -n e2fsprogs-%{version}
 
@@ -115,6 +118,7 @@ also want to install e2fsprogs.
 # after an selinux install...
 %patch2 -p1 -b .featurecheck
 
+
 %build
 %configure --enable-elf-shlibs --enable-nls --disable-uuidd --disable-fsck \
            --disable-e2initrd-helper --disable-libblkid --disable-libuuid \
@@ -143,6 +147,7 @@ install -p -m 644 %{SOURCE1} %{buildroot}%{_includedir}/ext2fs/ext2_types.h
 %clean
 rm -rf $RPM_BUILD_ROOT
 
+
 %post -p /sbin/ldconfig
 %postun -p /sbin/ldconfig
 
@@ -233,7 +238,6 @@ exit 0
 %{_mandir}/man8/mklost+found.8*
 %{_mandir}/man8/resize2fs.8*
 %{_mandir}/man8/tune2fs.8*
-      
 
 %files devel
 %defattr(-,root,root)
@@ -262,7 +266,6 @@ exit 0
 %{_mandir}/man1/mk_cmds.1*
 %{_mandir}/man3/com_err.3*
 
-
 %if %{build_compat32}
 %files -n compat32-%{name}
 %defattr(-,root,root)
@@ -282,6 +285,9 @@ exit 0
 
 
 %changelog
+* Mon Feb 22 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.46.1-1
+- new upstream release.
+
 * Tue Aug 18 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.45.6-1
 - new upstream release.
 

+ 14 - 6
f/findutils/findutils-vl.spec

@@ -1,10 +1,9 @@
 Summary: The GNU versions of find utilities (find and xargs).
 Summary(ja):  find ユーティリティの GNU バージョン (find および xargs).
 Name: findutils
-Version: 4.7.0
+Version: 4.8.0
 Release: 1%{?_dist_release}
-Group: System Environment/Base
-
+Group: system,accessories
 Vendor: Project Vine
 Distribution: Vine Linux
 
@@ -26,9 +25,6 @@ Patch4:  findutils-4.6.0-test-lock.patch
 # implement the -noleaf option of find (#1252549)
 Patch5:  findutils-4.6.0-leaf-opt.patch
 
-# make upstream test-suite work with root privileges (#1799064)
-Patch6:  findutils-4.7.0-root-tests.patch
-
 Requires(post): /sbin/install-info
 Requires(preun): /sbin/install-info
 BuildRoot: %{_tmppath}/%{name}-%{version}-root
@@ -46,6 +42,10 @@ names generated by the find command).
 You should install findutils because it includes tools that are very
 useful for finding things on your system.
 
+
+%debug_package
+
+
 %prep
 %autosetup -N -S git
 
@@ -90,6 +90,7 @@ make %{?_smp_mflags}
 %check
 make %{?_smp_mflags} check -C build
 
+
 %install
 %make_install -C build
 
@@ -113,9 +114,11 @@ if [ $1 = 0 -a -f %{_infodir}/find.info.gz ]; then
     /sbin/install-info --delete %{_infodir}/find.info.gz %{_infodir}/dir
 fi
 
+
 %clean
 rm -rf $RPM_BUILD_ROOT
 
+
 %files -f %{name}.lang
 %defattr(-,root,root)
 %license COPYING
@@ -128,7 +131,12 @@ rm -rf $RPM_BUILD_ROOT
 %{_infodir}/find.info*
 %{_infodir}/find-maint.info*
 
+
 %changelog
+* Mon Feb 22 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.8.0-1
+- new upstream release.
+- updated patches.
+
 * Wed Mar 18 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.7.0-1
 - new upstream release.
 - updated patches.

+ 5 - 2
g/galera/galera-vl.spec

@@ -1,7 +1,7 @@
 %bcond_with		systemd
 %bcond_with		python3
 
-%define mariadb_version 10.5.8
+%define mariadb_version 10.5.9
 
 %if %{with python3}
 %global scons scons-3
@@ -11,7 +11,7 @@
 
 Summary:        Synchronous multi-master wsrep provider (replication engine)
 Name:           galera
-Version:        26.4.6
+Version:        26.4.7
 Release:        1%{?_dist_release}%{?with_systemd:.systemd}
 %global         galera_api_version %(echo %{version} | cut -d . -f 1,2)
 Group:          servers
@@ -131,6 +131,9 @@ fi
 
 
 %changelog
+* Tue Feb 23 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 26.4.7-1
+- new upstream release.
+
 * Sat Feb 20 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 26.4.6-1
 - new upstream release.
 

+ 16 - 4
g/gawk/gawk-vl.spec

@@ -1,10 +1,9 @@
 Summary(ja): GNU バージョンの awk テキスト処理ユーティリティー
 Summary: The GNU version of the awk text processing utility.
 Name: gawk
-Version: 5.0.1
+Version: 5.1.0
 Release: 1%{?_dist_release}
-Group: Applications/Text
-
+Group: system,accessories
 Vendor: Project Vine
 Distribution: Vine Linux
 Packager: daisuke
@@ -22,7 +21,6 @@ BuildRequires:    libsigsegv-devel
 BuildRequires:    mpfr-devel
 BuildRequires:    readline-devel
 
-
 %description
 The gawk packages contains the GNU version of awk, a text processing
 utility.  Awk interprets a special-purpose programming language to do
@@ -40,13 +38,19 @@ gawk パッケージは GNU バージョンの、テキスト処理ユーティ
 テキスト処理ユーティティーが必要なら、gawk パッケージをインストールし
 てください。gawk はLinux 上でテキスト処理を行う標準的なツールです。
 
+
+%debug_package
+
+
 %prep
 %setup -q -n gawk-%{version}
 
+
 %build
 %configure --bindir=/bin
 make %{?_smp_mflags}
 
+
 %install
 rm -rf %{buildroot}
 make install DESTDIR=%{buildroot}
@@ -62,12 +66,15 @@ rm -f %{buildroot}%{_infodir}/dir
 
 %find_lang %name
 
+
 #check
 #make %{?_smp_mflags} check
 
+
 %clean
 rm -rf %{buildroot}
 
+
 %post
 if [ -f %{_infodir}/gawk.info.gz ]; then
   /sbin/install-info %{_infodir}/gawk.info.gz %{_infodir}/dir ||:
@@ -78,6 +85,7 @@ if [ $1 = 0 -a -f %{_infodir}/gawk.info.gz ]; then
    /sbin/install-info --delete %{_infodir}/gawk.info.gz %{_infodir}/dir ||:
 fi
 
+
 %files -f %{name}.lang
 %defattr(-,root,root,-)
 %license COPYING
@@ -98,7 +106,11 @@ fi
 %dir %{_sysconfdir}/profile.d
 %{_sysconfdir}/profile.d/*
 
+
 %changelog
+* Mon Feb 22 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.1.0-1
+- new upstream release.
+
 * Wed Mar 18 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 5.0.1-1
 - new upstream release.
 

+ 28 - 12
g/gdbm/gdbm-vl.spec

@@ -1,19 +1,21 @@
+%bcond_with largefile
+
 %define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}
 
 Summary: A GNU set of database routines which use extensible hashing.
 Summary(ja): 拡張可能なハッシングを利用した GNU データベースルーチン
 Name: gdbm
-Version: 1.18.1
-Release: 2%{?_dist_release}
-Source: ftp://ftp.gnu.org/gnu/gdbm-%{version}.tar.gz
+Version: 1.19
+Release: 1%{?_dist_release}
+Group: system
+Vendor: Project Vine
+Distribution: Vine Linux
+
+Source: https://ftp.gnu.org/gnu/gdbm/gdbm-%{version}.tar.gz
 License: GPL
-Group: System Environment/Libraries
 BuildRoot: %{_tmppath}/%{name}-%{version}-root
 BuildRequires: libtool gettext readline-devel
 
-Vendor: Project Vine
-Distribution: Vine Linux
-
 %description
 Gdbm is a GNU database indexing library, including routines which use
 extensible hashing.  Gdbm works in a similar way to standard UNIX dbm
@@ -36,10 +38,11 @@ UNIX の dbm ルーチンと同様に機能します.C アプリケーショ
 アクセスが必要になった場合,gdbm を是非インストールして下さい.
 その際 gdbm-devel パッケージも同時にインストールする必要があります.
 
+
 %package -n compat32-%{name}
 Summary: A GNU set of database routines which use extensible hashing.
 Summary(ja): 拡張可能なハッシングを利用した GNU データベースルーチン
-Group: System Environment/Libraries
+Group: system,legacy
 Requires: gdbm = %{version}
 
 %description -n compat32-%{name}
@@ -64,10 +67,11 @@ UNIX の dbm ルーチンと同様に機能します.C アプリケーショ
 アクセスが必要になった場合,gdbm を是非インストールして下さい.
 その際 gdbm-devel パッケージも同時にインストールする必要があります.
 
+
 %package devel
 Summary: Development libraries and header files for the gdbm library.
 Summary(ja): gdbm ライブラリ用の開発ライブラリとヘッダファイル
-Group: Development/Libraries
+Group: programming
 Requires: gdbm = %{version}
 Requires(pre): /sbin/install-info
 
@@ -89,10 +93,11 @@ gdbm データベースライブラリを使う C プログラムを開発する
 この gdbm-devel パッケージをインストールして下さい.同時に
 gdbm パッケージもインストールする必要があります.
 
+
 %package -n compat32-%{name}-devel
 Summary: Development libraries and header files for the gdbm library.
 Summary(ja): gdbm ライブラリ用の開発ライブラリとヘッダファイル
-Group: Development/Libraries
+Group: programming,legacy
 Requires: gdbm = %{version}
 Requires: gdbm-devel = %{version}
 
@@ -114,12 +119,18 @@ gdbm データベースライブラリを使う C プログラムを開発する
 この gdbm-devel パッケージをインストールして下さい.同時に
 gdbm パッケージもインストールする必要があります.
 
+
+%debug_package
+
+
 %prep
 %setup -q
 
+
 %build
 %configure \
     --disable-static \
+%{!?with_largefile: --disable-largefile} \
     --disable-rpath \
     --enable-libgdbm-compat
 
@@ -131,6 +142,7 @@ sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
 
 make %{?_smp_mflags}
 
+
 %install
 rm -rf %{buildroot}
 
@@ -149,16 +161,16 @@ find %{buildroot} -type f -name "*.la" -delete
 
 rm -f %{buildroot}/%{_infodir}/dir
 
+
 %check
 export LD_LIBRARY_PATH=`pwd`/src/.libs/:`pwd`/compat/.libs/
 make check
 
-%post -p /sbin/ldconfig
 
+%post -p /sbin/ldconfig
 %postun -p /sbin/ldconfig
 
 %post -n compat32-%{name} -p /sbin/ldconfig
-
 %postun -n compat32-%{name} -p /sbin/ldconfig
 
 %post devel
@@ -169,6 +181,7 @@ if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gdbm.info.gz %{_infodir}/dir --entry="* gdbm: (gdbm).                   The GNU Database."
 fi
 
+
 %files -f %{name}.lang
 %license COPYING
 %doc NEWS README THANKS AUTHORS NOTE-WARNING
@@ -201,6 +214,9 @@ fi
 rm -rf ${RPM_BUILD_ROOT}
 
 %changelog
+* Mon Feb 22 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.19-1
+- new upstream release.
+
 * Sat Aug 31 2019 Toshiaki Ara <ara_t@384.jp> 1.18.1-2
 - rebuild with readline-8.0 and ncurses-6.1
 

+ 12 - 8
g/gjs/gjs-vl.spec

@@ -1,20 +1,20 @@
-%define mozjs mozjs68
+%define mozjs mozjs78
 
 Summary:        Javascript binding for GNOME
 Summary(ja):    GNOME 向け JavaScript バインディング
 Name:           gjs
-Version:        1.64.4
+Version:        1.66.2
 Release:        1%{?_dist_release}
-Group:          System Environment/Libraries
+Group:          system
 Vendor:         Project Vine
 Distribution:   Vine Linux
-BuildRoot:      %{_tmppath}/%{name}-%{version}-root
 
 License:        MPL1.1/LGPLv2+/GPLv2+
 URL:            https://wiki.gnome.org/Projects/GnomeShell
 %global         shortver %(echo %{version} | sed -e 's/\.[0-9]*$//')
 Source0:        https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz
 
+BuildRoot:      %{_tmppath}/%{name}-%{version}-root
 BuildRequires:  meson
 BuildRequires:  pkgconfig >= 0.14.0
 BuildRequires:  glib2-devel
@@ -27,7 +27,6 @@ BuildRequires:  yelp-tools
 BuildRequires:  desktop-file-utils
 BuildRequires:  gnome-common
 
-
 %description
 GNOME Shell is the defining technology of the GNOME 3 desktop user experience. It provides core interface functions like switching to windows and launching applications. GNOME Shell takes advantage of the capabilities of modern graphics hardware and introduces innovative user interface concepts to provide a delightful and easy to use experience. 
 
@@ -35,7 +34,7 @@ GNOME Shell is the defining technology of the GNOME 3 desktop user experience. I
 %package devel
 Summary:     Development files of the gjs library.
 Summary(ja): gjs ライブラリの開発用ファイル
-Group:       Development/Libraries
+Group:       programming
 Requires:    %{name} = %{version}-%{release}
 Requires:    pkgconfig
 Requires:    gtk-doc
@@ -45,6 +44,9 @@ Requires:    %{mozjs}-devel
 Development files of the gjs library.
 
 
+%debug_packate
+
+
 %prep
 %setup -q
 
@@ -71,8 +73,7 @@ Development files of the gjs library.
 %{__rm} -rf %{buildroot}
 
 
-%post -p /sbin/ldconfig
-%postun -p /sbin/ldconfig
+%{ldconfig_scriptlets}
 
 
 %files
@@ -96,6 +97,9 @@ Development files of the gjs library.
 
 
 %changelog
+* Wed Feb 24 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.66.2-1
+- new upstream release.
+
 * Tue Aug 04 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.64.4-1
 - new upstream release.
 

+ 574 - 0
g/gnome-initial-setup/gnome-initial-setup-vl.spec

@@ -0,0 +1,574 @@
+%bcond_with systemd
+
+%global nm_version 1.2
+%global nma_version 1.0
+%global glib_required_version 2.63.1
+%global gtk_required_version 3.11.3
+%global geoclue_version 2.3.1
+
+Name:           gnome-initial-setup
+Version:        3.36.4
+Release:        2%{?_dist_release}%{?with_systemd:.systemd}
+Summary:        Bootstrapping your OS
+
+License:        GPLv2+
+URL:            https://wiki.gnome.org/Design/OS/InitialSetup
+%global shortver %(echo %{version} | sed -e 's/\.[0-9]*$//')
+Source0:        https://download.gnome.org/sources/%{name}/%{shortver}/%{name}-%{version}.tar.xz
+Source1:        vendor.conf
+Patch0:         honor-firstboot-disabled.patch
+
+BuildRequires:  meson
+BuildRequires:  gcc
+BuildRequires:  krb5-devel
+BuildRequires:  desktop-file-utils
+BuildRequires:  libpwquality-devel
+BuildRequires:  NetworkManager-libnm-devel >= %{nm_version}
+BuildRequires:  pkgconfig(libnma) >= %{nma_version}
+BuildRequires:  pkgconfig(accountsservice)
+BuildRequires:  pkgconfig(gnome-desktop-3.0)
+BuildRequires:  pkgconfig(gstreamer-1.0)
+BuildRequires:  pkgconfig(cheese)
+BuildRequires:  pkgconfig(cheese-gtk) >= 3.3.5
+BuildRequires:  pkgconfig(fontconfig)
+BuildRequires:  pkgconfig(geocode-glib-1.0)
+BuildRequires:  pkgconfig(gweather-3.0)
+BuildRequires:  pkgconfig(goa-1.0)
+BuildRequires:  pkgconfig(goa-backend-1.0)
+BuildRequires:  pkgconfig(gtk+-3.0) >= %{gtk_required_version}
+BuildRequires:  pkgconfig(glib-2.0) >= %{glib_required_version}
+BuildRequires:  pkgconfig(gio-2.0) >= %{glib_required_version}
+BuildRequires:  pkgconfig(gio-unix-2.0) >= %{glib_required_version}
+BuildRequires:  pkgconfig(gdm)
+BuildRequires:  pkgconfig(iso-codes)
+BuildRequires:  geoclue2-devel >= %{geoclue_version}
+BuildRequires:  pkgconfig(packagekit-glib2)
+BuildRequires:  pkgconfig(webkit2gtk-4.0)
+BuildRequires:  krb5-devel
+BuildRequires:  ibus-devel
+BuildRequires:  rest-devel
+BuildRequires:  polkit-devel
+BuildRequires:  libsecret-devel
+
+# gnome-initial-setup is being run by gdm
+Requires: gdm
+Requires: geoclue2%{?_isa} >= %{geoclue_version}
+Requires: glib2%{?_isa} >= %{glib_required_version}
+# we install a rules file
+Requires: polkit
+Requires: libgnomekbd
+
+Requires(pre): shadow-utils
+
+Provides: user(%name)
+
+%description
+GNOME Initial Setup is an alternative to firstboot, providing
+a good setup experience to welcome you to your system, and walks
+you through configuring it. It is integrated with gdm.
+
+
+%debug_package
+
+
+%prep
+%autosetup -p1
+
+
+%build
+%meson \
+	-Dparental_controls=disabled \
+	-Dvendor-conf-file=%{_datadir}/gnome-initial-setup/vendor.conf \
+%if %{with systemd}
+	-Dsystemd=true
+%else
+	-Dsystemd=false
+%endif
+
+%meson_build
+
+
+%install
+%meson_install
+
+# Desktop file does not (and probably will not) ever validate, as it uses
+# an absolute path /tmp/-style trigger to determine whether to autostart.
+# desktop-file-validate %%{buildroot}/%%{_sysconfdir}/xdg/autostart/gnome-welcome-tour.desktop
+desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/gnome-initial-setup-copy-worker.desktop
+desktop-file-validate %{buildroot}%{_datadir}/gdm/greeter/applications/gnome-initial-setup.desktop
+
+mkdir -p %{buildroot}%{_datadir}/gnome-initial-setup
+cp %{SOURCE1} %{buildroot}%{_datadir}/gnome-initial-setup/
+
+%if !%{with systemd}
+rm -f %{buildroot}/usr/lib/systemd
+%endif
+
+%find_lang %{name}
+
+
+%pre
+useradd -rM -d /run/gnome-initial-setup/ -s /sbin/nologin %{name} &>/dev/null || :
+
+%files -f %{name}.lang
+%license COPYING
+%doc README
+%{_libexecdir}/gnome-initial-setup
+%{_libexecdir}/gnome-initial-setup-copy-worker
+%{_libexecdir}/gnome-welcome-tour
+%{_sysconfdir}/xdg/autostart/gnome-welcome-tour.desktop
+%{_sysconfdir}/xdg/autostart/gnome-initial-setup-copy-worker.desktop
+%{_sysconfdir}/xdg/autostart/gnome-initial-setup-first-login.desktop
+
+%{_datadir}/gdm/greeter/applications/gnome-initial-setup.desktop
+%{_datadir}/gnome-session/sessions/gnome-initial-setup.session
+%{_datadir}/gnome-shell/modes/initial-setup.json
+%{_datadir}/polkit-1/rules.d/20-gnome-initial-setup.rules
+%if %{with systemd}
+%{_userunitdir}/*
+%endif
+
+%dir %{_datadir}/gnome-initial-setup
+%{_datadir}/gnome-initial-setup/vendor.conf
+
+
+%changelog
+* Tue Feb 23 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 3.36.4-2
+- initial build for Vine Linux.
+
+* Mon Jul 20 2020 Kalev Lember <klember@redhat.com> - 3.36.4-1
+- Update to 3.36.4
+
+* Tue Jun 23 2020 Adam Williamson <awilliam@redhat.com> - 3.36.3-2
+- Backport MR #89 to fix 'disabled' timezone page setting timezone
+
+* Mon Jun 01 2020 Kalev Lember <klember@redhat.com> - 3.36.3-1
+- Update to 3.36.3
+
+* Mon Apr 27 2020 Kalev Lember <klember@redhat.com> - 3.36.2-1
+- Update to 3.36.2
+
+* Sat Mar 28 2020 Kalev Lember <klember@redhat.com> - 3.36.1-1
+- Update to 3.36.1
+
+* Fri Mar 06 2020 Kalev Lember <klember@redhat.com> - 3.36.0-1
+- Update to 3.36.0
+
+* Mon Mar 02 2020 Kalev Lember <klember@redhat.com> - 3.35.92-1
+- Update to 3.35.92
+
+* Mon Feb 17 2020 Kalev Lember <klember@redhat.com> - 3.35.91-1
+- Update to 3.35.91
+
+* Tue Feb 04 2020 Kalev Lember <klember@redhat.com> - 3.35.90-1
+- Update to 3.35.90
+
+* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.35.3-3
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
+
+* Thu Jan 16 2020 Kalev Lember <klember@redhat.com> - 3.35.3-2
+- Rebuilt for libgnome-desktop soname bump
+
+* Tue Jan 07 2020 Kalev Lember <klember@redhat.com> - 3.35.3-1
+- Update to 3.35.3
+
+* Tue Jan 07 2020 Kalev Lember <klember@redhat.com> - 3.34.3-1
+- Update to 3.34.3
+
+* Mon Oct 07 2019 Kalev Lember <klember@redhat.com> - 3.34.1-1
+- Update to 3.34.1
+
+* Mon Sep 09 2019 Benjamin Berg <bberg@redhat.com> - 3.34.0-2
+- Fix g-i-s starting in GDM
+  Upstream MR https://gitlab.gnome.org/GNOME/gnome-initial-setup/merge_requests/59
+- Resolves: 1750237
+
+* Mon Sep 09 2019 Kalev Lember <klember@redhat.com> - 3.34.0-1
+- Update to 3.34.0
+
+* Wed Sep 04 2019 Benjamin Berg <bberg@redhat.com> - 3.33.92-2
+- Include upstream patches to fix systemd support
+  https://gitlab.gnome.org/GNOME/gnome-initial-setup/merge_requests/58
+- Resolves: 1746563
+
+* Tue Sep 03 2019 Kalev Lember <klember@redhat.com> - 3.33.92-1
+- Update to 3.33.92
+
+* Tue Aug 20 2019 Kalev Lember <klember@redhat.com> - 3.33.91-1
+- Update to 3.33.91
+
+* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.33.4-3
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
+
+* Sun Jul 21 2019 Kalev Lember <klember@redhat.com> - 3.33.4-2
+- Rebuilt for libgnome-desktop soname bump
+
+* Mon Jul 15 2019 Kalev Lember <klember@redhat.com> - 3.33.4-1
+- Update to 3.33.4
+
+* Mon Jul 08 2019 Kalev Lember <klember@redhat.com> - 3.33.2-2
+- Rebuilt for libgweather soname bump
+
+* Tue May 21 2019 Kalev Lember <klember@redhat.com> - 3.33.2-1
+- Update to 3.33.2
+
+* Tue Apr 16 2019 Adam Williamson <awilliam@redhat.com> - 3.32.1-2
+- Rebuild with Meson fix for #1699099
+
+* Sat Apr 06 2019 Kalev Lember <klember@redhat.com> - 3.32.1-1
+- Update to 3.32.1
+
+* Thu Apr 04 2019 Ray Strode <rstrode@redhat.com> - 3.32.0-1
+- Update to 3.32.0
+
+* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.30.0-2
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
+
+* Sat Sep 22 2018 Kalev Lember <klember@redhat.com> - 3.30.0-1
+- Update to 3.30.0
+
+* Fri Sep 07 2018 Kalev Lember <klember@redhat.com> - 3.29.92-1
+- Update to 3.29.92
+- Drop upstreamed patches reduce-initial-setup-redundancy.patch and
+  allow-weak-passwords.patch
+- Rebase honor-firstboot-disabled.patch
+
+* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.28.0-8
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
+
+* Mon Apr 30 2018 Adam Williamson <awilliam@redhat.com> - 3.28.0-7
+- Drop unnecessary pkgconfig(NetworkManager) BuildRequire
+- Run autoreconf to avoid automake version mismatch
+
+* Wed Apr 11 2018 Michael Catanzaro <mcatanzaro@gnome.org> - 3.28.0-6
+- Allow setting weak passwords
+
+* Mon Apr 02 2018 Michael Catanzaro <mcatanzaro@gnome.org> - 3.28.0-5
+- Move vendor.conf to /usr/share
+
+* Sat Mar 31 2018 Michael Catanzaro <mcatanzaro@gnome.org> - 3.28.0-4
+- Forgot to update vendor.conf in the previous build
+
+* Sat Mar 31 2018 Michael Catanzaro <mcatanzaro@gnome.org> - 3.28.0-3
+- Update reduce initial setup redundancy patch again
+
+* Sat Mar 31 2018 Michael Catanzaro <mcatanzaro@gnome.org> - 3.28.0-2
+- Update reduce initial setup redundancy patches
+
+* Tue Mar 13 2018 Kalev Lember <klember@redhat.com> - 3.28.0-1
+- Update to 3.28.0
+
+* Fri Feb 16 2018 Michael Catanzaro <mcatanzaro@gnome.org> - 3.27.90-2
+- Install vendor.conf to conditionally suppress certain pages
+
+* Fri Feb 16 2018 Michael Catanzaro <mcatanzaro@gnome.org> - 3.27.90-1
+- Upgrade to 3.27.90 and add reduce initial setup redundancy patches
+
+* Tue Feb 13 2018 Björn Esser <besser82@fedoraproject.org> - 3.26.0-5
+- Rebuild against newer gnome-desktop3 package
+
+* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.26.0-4
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
+
+* Mon Feb 05 2018 Kalev Lember <klember@redhat.com> - 3.26.0-3
+- Rebuilt for libgweather soname bump
+
+* Sat Jan 20 2018 Björn Esser <besser82@fedoraproject.org> - 3.26.0-2
+- Rebuilt for switch to libxcrypt
+
+* Thu Sep 14 2017 Kalev Lember <klember@redhat.com> - 3.26.0-1
+- Update to 3.26.0
+
+* Thu Sep 07 2017 Kalev Lember <klember@redhat.com> - 3.25.92-1
+- Update to 3.25.92
+
+* Mon Jul 31 2017 Kalev Lember <klember@redhat.com> - 3.25.4-1
+- Update to 3.25.4
+
+* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.25.3-2
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
+
+* Sun Jun 25 2017 Kalev Lember <klember@redhat.com> - 3.25.3-1
+- Update to 3.25.3
+
+* Wed May 10 2017 Kalev Lember <klember@redhat.com> - 3.24.2-1
+- Update to 3.24.2
+
+* Tue Mar 21 2017 Rui Matos <rmatos@redhat.com> - 3.24.0-1
+- Update to 3.24.0
+
+* Tue Mar 14 2017 Florian Müllner <fmuellner@redhat.com> - 3.23.92-1
+- Update to 3.23.92
+
+* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.23.1-3
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
+
+* Tue Jan 31 2017 Rui Matos <rmatos@redhat.com> - 3.23.1-2
+- Honor anaconda's firstboot being disabled
+
+* Sun Oct 30 2016 Kalev Lember <klember@redhat.com> - 3.23.1-1
+- Update to 3.23.1
+
+* Wed Oct 12 2016 Kalev Lember <klember@redhat.com> - 3.22.1-1
+- Update to 3.22.1
+
+* Mon Sep 19 2016 Kalev Lember <klember@redhat.com> - 3.22.0-1
+- Update to 3.22.0
+
+* Tue Sep 13 2016 Kalev Lember <klember@redhat.com> - 3.21.92-1
+- Update to 3.21.92
+
+* Mon Sep 05 2016 Kalev Lember <klember@redhat.com> - 3.21.91-2
+- Build the software sources page
+
+* Sat Sep 03 2016 Kalev Lember <klember@redhat.com> - 3.21.91-1
+- Update to 3.21.91
+- Update project URL
+
+* Wed Apr 13 2016 Kalev Lember <klember@redhat.com> - 3.20.1-1
+- Update to 3.20.1
+
+* Tue Mar 22 2016 Kalev Lember <klember@redhat.com> - 3.20.0-1
+- Update to 3.20.0
+
+* Tue Mar 15 2016 Kalev Lember <klember@redhat.com> - 3.19.92-1
+- Update to 3.19.92
+
+* Tue Mar 01 2016 Richard Hughes <rhughes@redhat.com> - 3.19.91-1
+- Update to 3.19.91
+
+* Tue Feb 16 2016 Richard Hughes <rhughes@redhat.com> - 3.19.2-1
+- Update to 3.19.2
+
+* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.19.1-2
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
+
+* Wed Oct 28 2015 Kalev Lember <klember@redhat.com> - 3.19.1-1
+- Update to 3.19.1
+
+* Mon Sep 21 2015 Kalev Lember <klember@redhat.com> - 3.18.0-1
+- Update to 3.18.0
+
+* Mon Aug 31 2015 Kalev Lember <klember@redhat.com> - 3.17.91-1
+- Update to 3.17.91
+
+* Mon Aug 17 2015 Kalev Lember <klember@redhat.com> - 3.17.90-1
+- Update to 3.17.90
+- Use make_install macro
+
+* Mon Aug 17 2015 Kalev Lember <klember@redhat.com> - 3.17.4-2
+- Rebuilt for libcheese soname bump
+
+* Mon Jul 27 2015 David King <amigadave@amigadave.com> - 3.17.4-1
+- Update to 3.17.4
+
+* Wed Jul 22 2015 David King <amigadave@amigadave.com> - 3.16.3-3
+- Bump for new gnome-desktop3
+
+* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.16.3-2
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
+
+* Mon May 18 2015 Matthias Clasen <mclasen@redhat.com> - 3.16.3-1
+- Update to 3.16.3
+
+* Tue May 12 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.2-1
+- Update to 3.16.2
+
+* Wed Apr 15 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.1-1
+- Update to 3.16.1
+
+* Mon Mar 23 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.0-1
+- Update to 3.16.0
+
+* Wed Mar 18 2015 Kalev Lember <kalevlember@gmail.com> - 3.15.92-1
+- Update to 3.15.92
+
+* Thu Mar 05 2015 Kalev Lember <kalevlember@gmail.com> - 3.15.91.1-1
+- Update to 3.15.91.1
+
+* Mon Mar 02 2015 Kalev Lember <kalevlember@gmail.com> - 3.15.91-1
+- Update to 3.15.91
+- Use the %%license macro for the COPYING file
+
+* Thu Feb 19 2015 Matthias Clasen <mclasen@redhat.com> - 3.15.90.1-1
+- Update to 3.15.90.1
+
+* Tue Dec 16 2014 Rui Matos <rmatos@redhat.com> - 3.14.2.1-2
+- Resolves: rhbz#1172363
+
+* Tue Nov 11 2014 Rui Matos <rmatos@redhat.com> - 3.14.2.1-1
+- Update to 3.14.2.1
+
+* Mon Nov 10 2014 Rui Matos <rmatos@redhat.com> - 3.14.2-1
+- Update to 3.14.2
+- Resolves: rhbz#1158442
+
+* Fri Oct 31 2014 Rui Matos <rmatos@redhat.com> - 3.14.1-3
+- Resolves: rhbz#1151519
+
+* Tue Oct 21 2014 Rui Matos <rmatos@redhat.com> - 3.14.1-2
+- Resolves: rhbz#1154206
+
+* Sat Oct 11 2014 Kalev Lember <kalevlember@gmail.com> - 3.14.1-1
+- Update to 3.14.1
+
+* Tue Sep 23 2014 Kalev Lember <kalevlember@gmail.com> - 3.14.0-1
+- Update to 3.14.0
+
+* Wed Sep 17 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.7-1
+- Update to 3.13.7
+
+* Tue Sep 16 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.6-1
+- Update to 3.13.6
+
+* Mon Sep 08 2014 Adam Williamson <awilliam@redhat.com> - 3.13.5-2
+- backport upstream patch to offer full list of keyboard layouts (BGO #729208)
+
+* Wed Sep 03 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.5-1
+- Update to 3.13.5
+
+* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.13.4-3
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild
+
+* Wed Aug 13 2014 Matthias Clasen <mclasen@redhat.com> - 3.13.4-2
+- Drop the yelp focus patch (we've dropped the yelp patch it depends on)
+
+* Fri Jul 25 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.4-1
+- Update to 3.13.4
+
+* Thu Jul 24 2014 Matthias Clasen <mclasen@redhat.com> - 3.12.1-3
+- Fix a memory corruption crash (#1116478)
+
+* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.12.1-2
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild
+
+* Thu May 15 2014 Kalev Lember <kalevlember@gmail.com> - 3.12.1-1
+- Update to 3.12.1
+
+* Tue Mar 25 2014 Kalev Lember <kalevlember@gmail.com> - 3.12.0-1
+- Update to 3.12.0
+
+* Thu Mar 20 2014 Richard Hughes <rhughes@redhat.com> - 3.11.92-1
+- Update to 3.11.92
+
+* Sat Mar 08 2014 Richard Hughes <rhughes@redhat.com> - 3.11.91-1
+- Update to 3.11.91
+
+* Fri Feb 28 2014 Richard Hughes <rhughes@redhat.com> - 3.11.90-1
+- Update to 3.11.90
+
+* Wed Feb 19 2014 Kalev Lember <kalevlember@gmail.com> - 3.10.1.1-5
+- Rebuilt for libgnome-desktop soname bump
+
+* Fri Nov 29 2013 Rui Matos <rmatos@redhat.com> - 3.10.1.1-4
+- Resolves: rhbz#1035548 - Disables the GOA page in new user mode
+
+* Thu Nov 28 2013 Rui Matos <rmatos@redhat.com> - 3.10.1.1-3
+- Resolves: rhbz#1027507 - [abrt] gnome-initial-setup-3.10.1.1-2.fc20: magazine_chain_pop_head
+
+* Fri Nov  1 2013 Matthias Clasen <mclasen@redhat.com> - 3.10.1.1-2
+- Fix goa add dialog to not be empty
+
+* Mon Oct 28 2013 Richard Hughes <rhughes@redhat.com> - 3.10.1.1-1
+- Update to 3.10.1.1
+
+* Thu Sep 26 2013 Kalev Lember <kalevlember@gmail.com> - 3.10.0.1-1
+- Update to 3.10.0.1
+
+* Wed Sep 25 2013 Kalev Lember <kalevlember@gmail.com> - 3.10.0-1
+- Update to 3.10.0
+
+* Tue Sep 03 2013 Kalev Lember <kalevlember@gmail.com> - 0.12-7
+- Rebuilt for libgnome-desktop soname bump
+
+* Fri Aug 23 2013 Kalev Lember <kalevlember@gmail.com> - 0.12-6
+- Rebuilt for gnome-online-accounts soname bump
+
+* Fri Aug 09 2013 Kalev Lember <kalevlember@gmail.com> - 0.12-5
+- Rebuilt for cogl 1.15.4 soname bump
+
+* Tue Aug 06 2013 Adam Williamson <awilliam@redhat.com> - 0.12-4
+- rebuild for new libgweather
+
+* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-3
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
+
+* Fri Jun 21 2013 Kalev Lember <kalevlember@gmail.com> - 0.12-2
+- Rebuilt for libgweather 3.9.3 soname bump
+
+* Mon Jun 17 2013 Rui Matos <rmatos@redhat.com> - 0.12-1
+- Update to 0.12
+
+* Fri Jun  7 2013 Matthias Clasen <mclasen@redhat.com> - 0.11-2
+- Require polkit-js-engine
+
+* Tue May 28 2013 Matthias Clasen <mclasen@redhat.com> - 0.11-1
+- Update to 0.11
+
+* Tue May 14 2013 Rui Matos <rmatos@redhat.com> - 0.10-1
+- Update to 0.10
+- Add BuildRequires on polkit-devel
+- Update files list
+
+* Thu May  2 2013 Rui Matos <rmatos@redhat.com> - 0.9-2
+- Remove unused patches
+- Add build requires for ibus
+
+* Tue Apr 16 2013 Matthias Clasen <mclasen@redhat.com> - 0.9-1
+- Update to 0.9
+
+* Tue Apr 16 2013 Ray Strode <rstrode@redhat.com> 0.8-4
+- Add requires for keyboard viewer app
+
+* Wed Mar 20 2013 Ray Strode <rstrode@redhat.com> 0.8-3
+- Add cosimoc fix for gd page transitions
+
+* Wed Mar 20 2013 Ray Strode <rstrode@redhat.com> 0.8-2
+- Disable gd page transitions for now since they don't
+  completely work right (ask adamw).
+- Fix crasher when realmd goes away
+
+* Tue Mar 19 2013 Matthias Clasen <mclasen@redhat.com> - 0.8-1
+- Update to 0.8
+
+* Tue Mar 12 2013 Matthias Clasen <mclasen@redhat.com> - 0.7-1
+- Update to 0.7
+
+* Thu Feb 21 2013 Kalev Lember <kalevlember@gmail.com> - 0.6-4
+- Rebuilt for cogl soname bump
+
+* Wed Feb 20 2013 Kalev Lember <kalevlember@gmail.com> - 0.6-3
+- Rebuilt for libgnome-desktop soname bump
+
+* Fri Jan 25 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.6-2
+- Rebuild for new cogl
+
+* Wed Jan 16 2013 Matthias Clasen <mclasen@redhat.com> - 0.6-1
+- 0.6
+
+* Fri Jan 11 2013 Matthias Clasen <mclasen@redhat.com> - 0.5-1
+- 0.5
+
+* Fri Dec 21 2012 Kalev Lember <kalevlember@gmail.com> - 0.4-2
+- Rebuilt for libgweather soname bump
+
+* Thu Nov 22 2012 Matthias Clasen <mclasen@redhat.com> - 0.4-1
+- 0.4
+
+* Fri Oct 26 2012 Jasper St. Pierre <jstpierre@mecheye.net> - 0.3-3
+- Add krb5
+
+* Fri Oct 26 2012 Jasper St. Pierre <jstpierre@mecheye.net> - 0.3-2
+- 0.3-2
+
+* Thu Oct 18 2012 Matthias Clsaen <mclasen@redhat.com> - 0.3-1
+- 0.3
+
+* Fri Sep 14 2012 Matthias Clasen <mclasen@redhat.com> - 0.2-2
+- Add Requires: gdm
+
+* Wed Aug 29 2012 Jasper St. Pierre <jstpierre@mecheye.net> - 0.2-1
+- Update to 0.2
+
+* Fri Jun 08 2012 Jasper St. Pierre <jstpierre@mecheye.net> - 0.1
+- Initial packaging.

+ 16 - 5
g/grep/grep-vl.spec

@@ -1,10 +1,9 @@
 Summary: The GNU versions of grep pattern matching utilities.
 Summary(ja): GNU版 grep パターンマッチングユーティリティ
 Name: grep
-Version: 3.4
+Version: 3.6
 Release: 1%{?_dist_release}
-Group: System Environment/Base
-
+Group: system,accessories
 Vendor:         Project Vine
 Distribution:   Vine Linux
 
@@ -26,7 +25,6 @@ BuildRequires: autoconf, automake
 Requires(post): install-info
 Requires(preun): install-info
 
-
 %description
 The GNU versions of commonly used grep utilities.  Grep searches
 through textual input for lines which contain a match to a specified
@@ -44,16 +42,22 @@ utility for searching through text.
 テキストファイルの検索や、システム管理にとても役に立つので、是非インストール
 してください。 
 
+
+%debug_package
+
+
 %prep
 %setup -q
 %patch0 -p1 -b .man-fix-gs
 %patch1 -p1 -b .help-align
 
+
 %build
 %configure \
 	--without-included-regex
 %__make %{?_smp_mflags}
 
+
 %install
 [ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
 %__make DESTDIR=$RPM_BUILD_ROOT install
@@ -66,15 +70,17 @@ mkdir -p $RPM_BUILD_ROOT/bin
 mv $RPM_BUILD_ROOT%{_prefix}/bin/* $RPM_BUILD_ROOT/bin/
 rm -rf $RPM_BUILD_ROOT%{_bindir}
 
-
 %find_lang %{name}
 
+
 %check
 make check
 
+
 %clean
 [ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
 
+
 %post
 [ -e %{_infodir}/grep.info.gz ] && /sbin/install-info --quiet --info-dir=%{_infodir} %{_infodir}/grep.info.gz || :
 
@@ -83,6 +89,7 @@ if [ $1 = 0 ]; then
 	[ -e %{_infodir}/grep.info.gz ] && /sbin/install-info --quiet --info-dir=%{_infodir} --delete %{_infodir}/grep.info.gz
 fi
 
+
 %files -f %{name}.lang
 %defattr(-,root,root)
 %license COPYING
@@ -93,7 +100,11 @@ fi
 %{_infodir}/*.info.gz
 %{_mandir}/*/*
 
+
 %changelog
+* Mon Feb 22 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.6-1
+- new upstream release.
+
 * Wed Mar 18 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.4-1
 - new upstream release.
 - updated patches.

+ 25 - 18
h/help2man/help2man-vl.spec

@@ -1,26 +1,23 @@
-%global po_version 1.46.6
-
 Name:           help2man
 Summary:        Create simple man pages from --help output
 Summary(ja):    --help の出力から簡単なマニュアルページを生成するツール
-Version:        1.47.10
+Version:        1.48.1
 Release:        1%{?_dist_release}
-Group:          Development/Tools
+Group:          programming
+Vendor:         Project Vine
+Distribution:   Vine Linux
+Packager:       daisuke, yasumichi
+
 License:        GPLv2+
-URL:            http://www.gnu.org/software/help2man
-Source:         ftp://ftp.gnu.org/gnu/help2man/help2man-%{version}.tar.xz
-Source1:	help2man-%{po_version}.ja.po
-BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
+URL:            https://www.gnu.org/software/help2man/
+Source:         https://ftp.gnu.org/gnu/help2man/help2man-%{version}.tar.xz
 
+BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
 Requires(post): /sbin/install-info
-Requires(preun): /sbin/install-info
-Requires:	perl-gettext
-BuildRequires:	perl-gettext
-Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
-
-Vendor: Project Vine
-Distribution: Vine Linux
-Packager: daisuke, yasumichi
+Requires(preun):/sbin/install-info
+Requires:       perl-gettext
+BuildRequires:  perl-gettext
+Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 
 %description
 help2man is a script to create simple man pages from the --help and
@@ -38,14 +35,17 @@ help2man は、プログラムの --help および --version オプションの
 されていることを指し示すセクションをマニュアルページに生成する方法も
 提供しています。
 
+
+%debug_package
+
+
 %prep
 %setup -q -n help2man-%{version}
 iconv -f ISO-8859-1 -t utf-8 THANKS > THANKS~
 mv THANKS~ THANKS
-%{__cp} %{SOURCE1} po/ja.po
 
-%build
 
+%build
 %configure
 make %{?_smp_mflags}
 
@@ -64,9 +64,11 @@ make install_l10n DESTDIR=$RPM_BUILD_ROOT
 
 %find_lang %{name}
 
+
 %clean
 rm -fr $RPM_BUILD_ROOT
 
+
 %post
 /sbin/install-info %{_infodir}/help2man.info %{_infodir}/dir 2>/dev/null || :
 
@@ -76,6 +78,7 @@ if [ $1 -eq 0 ]; then
     %{_infodir}/dir 2>/dev/null || :
 fi
 
+
 %files -f %{name}.lang
 %defattr(-, root, root,-)
 %license COPYING
@@ -106,7 +109,11 @@ fi
 %lang(vi) %{_mandir}/vi/man1/*
 %lang(zh_CN) %{_mandir}/zh_CN/man1/*
 
+
 %changelog
+* Tue Feb 23 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.48.1-1
+- new upstream release.
+
 * Mon Aug 12 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.47.10-1
 - new upstream release.
 

+ 57 - 29
i/ipvsadm/ipvsadm-vl.spec

@@ -1,38 +1,41 @@
+%bcond_with systemd
+
 Summary: Utility to administer the Linux Virtual Server
 Summary(ja): Linux Virtual Server を管理するためのユーティリティ
 Name: ipvsadm
-Version: 1.29
-Release: 1%{?_dist_release}
+Version: 1.31
+Release: 1%{?_dist_release}%{?with_systemd:.systemd}
+Group: system,network
+Vendor: Project Vine
+Distribution: Vine Linux
 
+License: GPLv2+
+URL: https://kernel.org/pub/linux/utils/kernel/ipvsadm/
 Source0: https://kernel.org/pub/linux/utils/kernel/ipvsadm/%{name}-%{version}.tar.xz
 Source1: ipvsadm.init
 Source2: ipvsadm-config
-Patch1: 0001-ipvsadm-catch-the-original-errno-from-netlink-answer.patch
-Patch2: 0002-libipvs-discrepancy-with-libnl-genlmsg_put.patch
 Patch3: 0003-ipvsadm-use-CFLAGS-and-LDFLAGS-environment-variables.patch
-License: GPLv2+
-URL: https://kernel.org/pub/linux/utils/kernel/ipvsadm/
-Group: Applications/System
-
-Vendor: Project Vine
-Distribution: Vine Linux
 
-Buildroot: %{_tmppath}/%{name}-%{PACKAGE_VERSION}-buildroot
-Buildrequires: libnl3-devel
-Buildrequires: popt-devel
+BuildRoot: %{_tmppath}/%{name}-%{PACKAGE_VERSION}-buildroot
+BuildRequires: libnl3-devel
+BuildRequires: popt-devel
+%if %{with systemd}
+%{?systemd_requires}
+%else
 Requires(post): /sbin/chkconfig
 Requires(preun): /sbin/chkconfig
-
+%endif
 
 %description
 ipvsadm is a utility to administer the IP Virtual Server services
 offered by the Linux kernel.
 
 
+%debug_package
+
+
 %prep
 %setup -q
-%patch1 -p1
-%patch2 -p1
 %patch3 -p1
 
 
@@ -44,35 +47,60 @@ CFLAGS="${RPM_OPT_FLAGS}" %__make
 rm -rf $RPM_BUILD_ROOT
 mkdir -p ${RPM_BUILD_ROOT}/{sbin,%{_mandir}/man8,etc/rc.d/init.d}
 %__make install BUILD_ROOT=${RPM_BUILD_ROOT} MANDIR=%{_mandir}
-# Overwrite the provided init script with our flexible and LSB compliant one
-install -p -m 0755 %{SOURCE1} %{buildroot}/etc/rc.d/init.d/ipvsadm
 # Install config file which controls the service behavior
 install -D -p -m 0600 %{SOURCE2} %{buildroot}/etc/sysconfig/ipvsadm-config
+%if %{with systemd}
+%{__rm} -f %{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}
+%{__install} -p -D -m 0644 %{SOURCE10} %{buildroot}%{_unitdir}/%{name}.service
+%else
+# Overwrite the provided init script with our flexible and LSB compliant one
+%{__install} -p -m 0755 %{SOURCE1} %{buildroot}/etc/rc.d/init.d/ipvsadm
+%endif
 
 
-%files
-%defattr(-,root,root)
-%doc README
-%config /etc/rc.d/init.d/ipvsadm
-%config(noreplace) /etc/sysconfig/ipvsadm-config
-/sbin/ipvsadm*
-%{_mandir}/man8/ipvsadm*
+%clean
+rm -rf $RPM_BUILD_DIR/%{name}
+rm -rf $RPM_BUILD_ROOT
 
 
 %post
+%if %{with systemd}
+%systemd_post %{name}.service
+%else
 /sbin/chkconfig --add ipvsadm
-
+%endif
 
 %preun
+%if %{with systemd}
+%systemd_preun %{name}.service
+%else
 /sbin/chkconfig --del ipvsadm
+%endif
 
+%if %{with systemd}
+%postun
+%systemd_postun_with_restart %{name}.service
+%endif
 
-%clean
-rm -rf $RPM_BUILD_DIR/%{name}
-rm -rf $RPM_BUILD_ROOT
+
+%files
+%defattr(-,root,root)
+%doc README
+%config(noreplace) /etc/sysconfig/ipvsadm-config
+/sbin/ipvsadm*
+%{_mandir}/man8/ipvsadm*
+%if %{with systemd}
+%{_unitdir}/%{name}.service
+%else
+%config /etc/rc.d/init.d/ipvsadm
+%endif
 
 
 %changelog
+* Tue Feb 23 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.31-1
+- updated to 1.31.
+- dropped Patch1 and 2.
+
 * Thu Nov 29 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.29-1
 - updated to 1.29
 - dropped Patch0.

+ 22 - 10
l/less/less-vl.spec

@@ -1,19 +1,21 @@
 Summary: A text file browser similar to more, but better
 Summary(ja): more よりも高機能な日本語対応ページャ
 Name: less
-Version: 551
+Version: 563
 Release: 1%{?_dist_release}
+Group: accessories
+Vendor: Project Vine
+Distribution: Vine Linux
+Packager: daisuke
 
-Group: Applications/Text
 License: GPLv3+
 URL: http://www.greenwoodsoftware.com/less/
-
 Source: http://www.greenwoodsoftware.com/less/%{name}-%{version}.tar.gz
 Source1: lesspipe.sh
 Source2: less.sh
 Source3: less.csh
 Patch4: less-394-time.patch
-Patch5: less-418-fsync.patch
+Patch5: less-475-fsync.patch
 Patch6: less-436-manpage-add-old-bot-option.patch
 Patch7: less-436-help.patch
 Patch8: less-458-lessecho-usage.patch
@@ -21,7 +23,7 @@ Patch9: less-458-less-filters-man.patch
 Patch10: less-458-lesskey-usage.patch
 Patch11: less-458-old-bot-in-help.patch
 
-Buildroot: %{_tmppath}/%{name}-%{version}-root
+BuildRoot: %{_tmppath}/%{name}-%{version}-root
 BuildRequires: ncurses-devel
 BuildRequires: pcre-devel
 BuildRequires: autoconf automake libtool
@@ -31,10 +33,6 @@ Requires: gzip, bzip2
 Requires: file >= 3.33
 Provides: pager
 
-Vendor: Project Vine
-Distribution: Vine Linux
-Packager: daisuke
-
 %description
 The less utility is a text file browser that resembles more, but has
 more capabilities.  Less allows you to move backwards in the file as
@@ -56,10 +54,15 @@ compress で圧縮されたファイルを自動的に展開して表示する
 less はテキストファイルを表示するためによく使用する基本的なツールなので,
 インストールしておくべきでしょう.
 
+
+%debug_package
+
+
 %prep
 %setup -q 
 %patch4 -p1 -b .time
-%patch5 -p1 -b .fsync
+#patch5 -p1 -b .fsync
+sed -i -e 's/fsync popen _setjmp/popen _setjmp/' configure.ac
 %patch6 -p1 -b .manpage-add-old-bot-option
 %patch7 -p1 -b .help
 %patch8 -p1 -b .lessecho-usage
@@ -88,9 +91,11 @@ install -p -c -m 644 %{SOURCE2} %{buildroot}/etc/profile.d
 install -p -c -m 644 %{SOURCE3} %{buildroot}/etc/profile.d
 ls -la %{buildroot}/etc/profile.d
 
+
 %clean
 rm -rf %{buildroot}
 
+
 %post
 /sbin/update-alternatives --install %{_bindir}/pager pager %{_bindir}/less 50
 
@@ -105,6 +110,7 @@ if [ $1 -eq 0 ]; then
     /sbin/update-alternatives --auto pager
 fi
 
+
 %files
 %defattr(-,root,root)
 %license COPYING LICENSE
@@ -118,7 +124,13 @@ fi
 %{_mandir}/man1/lesskey.1*
 %{_mandir}/man1/lessecho.1*
 
+
 %changelog
+* Tue Feb 23 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 563-1
+- updated to 563.
+- disable Patch5: got same effect by sed.
+- updated Patch9.
+
 * Mon Mar 09 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 551-1
 - updated to 551.
 - updated Patch5.

+ 22 - 14
lib/libi/libidn/libidn-vl.spec

@@ -1,12 +1,13 @@
 %define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}
+# Disable static library creation by default.
+%define with_static 0
 
 Name: libidn
 Summary: Internationalized Domain Name support library
 Summary(ja): 国際化ドメイン名をサポートするためのライブラリ
-Version: 1.35
+Version: 1.36
 Release: 1%{?_dist_release}
-Group: System Environment/Libraries
-
+Group: system
 Distribution: Vine Linux
 Vendor: Project Vine
 
@@ -20,20 +21,19 @@ BuildRequires: pkgconfig
 Requires(post): /sbin/install-info
 Requires(preun): /sbin/install-info
 
-
 %global __provides_exclude_from ^%{_libdir}/pkgconfig/.*$
 
-
 %description
 GNU Libidn is an implementation of the Stringprep, Punycode and
 IDNA specifications defined by the IETF Internationalized Domain
 Names (IDN) working group, used for internationalized domain
 names.
 
+
 %package devel
 Summary: Development files for the libidn library
 Summary(ja): libidn ライブラリの開発用ファイル
-Group: Development/Libraries
+Group: programming
 License: GPLv3+, LGPLv3+ and GFDLv1.3+
 Requires: %{name} = %{version}-%{release}
 Provides: pkgconfig(libidn) = %{version}
@@ -46,7 +46,7 @@ developing programs which use the GNU libidn library.
 %package -n compat32-%{name}
 Summary: Internationalized Domain Name support library
 Summary(ja): 国際化ドメイン名をサポートするためのライブラリ
-Group: System Environment/Libraries
+Group: system
 Requires: %{name} = %{version}-%{release}
 
 %description -n compat32-%{name}
@@ -58,7 +58,7 @@ names.
 %package -n compat32-%{name}-devel
 Summary: Development files for the libidn library
 Summary(ja): libidn ライブラリの開発用ファイル
-Group: Development/Libraries
+Group: programming
 License: GPLv3+, LGPLv3+ and GFDLv1.3+
 Requires: compat32-%{name} = %{version}-%{release}
 Requires: %{name}-devel = %{version}-%{release}
@@ -67,11 +67,13 @@ Requires: %{name}-devel = %{version}-%{release}
 This package includes header files and libraries necessary for
 developing programs which use the GNU libidn library.
 
+
+%debug_package
+
+
 %prep
 %setup -q
 
-# Disable static library creation by default.
-%define with_static 0
 
 %build
 %configure --disable-csharp --disable-java \
@@ -79,9 +81,9 @@ developing programs which use the GNU libidn library.
            --disable-static
 %endif
 make %{?_smp_mflags}
-
 make %{?_smp_mflags} -C tests check
 
+
 %install
 [ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
 %makeinstall
@@ -97,6 +99,11 @@ rm -rf $RPM_BUILD_ROOT%{_datadir}/info/dir
 
 %find_lang %{name}
 
+
+%clean
+[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
+
+
 %post
 /sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir
 /sbin/ldconfig
@@ -110,12 +117,9 @@ fi
 
 %if %{build_compat32}
 %post -n compat32-%{name} -p /sbin/ldconfig
-
 %postun -n compat32-%{name} -p /sbin/ldconfig
 %endif
 
-%clean
-[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
 
 %files -f %{name}.lang
 %defattr(-,root,root)
@@ -155,7 +159,11 @@ fi
 %{_libdir}/pkgconfig/*.pc
 %endif
 
+
 %changelog
+* Wed Feb 24 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.36-1
+- new upstream release.
+
 * Sun Mar 29 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.35-1
 - new upstream release.
 

+ 25 - 32
m/make/make-vl.spec

@@ -2,15 +2,17 @@ Summary:     A GNU tool which simplifies the build process for users.
 Summary(ja): ユーザのビルド手続きを平易にする GNU ツール
 Name: make
 Epoch: 1
-Version: 4.2.1
+Version: 4.3
 Release: 1%{?_dist_release}
+Group: programming
+Vendor: Project Vine
+Distribution: Vine Linux
+
 License: GPL
-Group: Development/Tools
 URL: http://www.gnu.org/software/make/
-Source: https://ftp.gnu.org/gnu/make/make-%{version}.tar.bz2
-Source1: http://translationproject.org/PO-files/ja/make-%{version}.ja.po
-Patch0: make-4.2-getcwd.patch
-Patch1: make-4.0-newlines.patch
+Source: https://ftp.gnu.org/gnu/make/make-%{version}.tar.gz
+Source1: http://translationproject.org/PO-files/ja/make-4.2.93.ja.po
+Patch0: make-4.3-getcwd.patch
 
 # Assume we don't have clock_gettime in configure, so that
 # make is not linked against -lpthread (and thus does not
@@ -18,25 +20,12 @@ Patch1: make-4.0-newlines.patch
 Patch2: make-4.0-noclock_gettime.patch
 
 # BZs #142691, #17374
-Patch3: make-4.2-j8k.patch
-
-# Upstream: https://savannah.gnu.org/bugs/?30748
-# The default value of .SHELL_FLAGS is -c.
-Patch4: make-4.0-weird-shell.patch
-
-# Upstream patch: https://git.savannah.gnu.org/cgit/make.git/patch/?id=193f1e81edd6b1b56b0eb0ff8aa4b41c7b4257b4
-# Fixes wrong assumptions of glibc's glob internals.
-Patch5: make-4.2.1-glob-fix-2.patch
-# Upstream patch: https://git.savannah.gnu.org/cgit/make.git/patch/?id=48c8a116a914a325a0497721f5d8b58d5bba34d4
-# Fixes incorrect use of glibc 2.27 glob internals.
-Patch6: make-4.2.1-glob-fix.patch
-Patch7: make-4.2.1-glob-fix-3.patch
-# Perl 5.26 removed the implicit CWD in @INC.
-Patch8: make-4.2.1-test-driver.patch
-
-# Upstream patch: https://git.savannah.gnu.org/cgit/make.git/commit/?id=fbf71ec25a5986d9003ac16ee9e23675feac9053
-# Adds support of guile 2.2
-Patch9: 0001-configure.ac-SV-50648-Detect-Guile-2.2-packages.patch
+Patch3: make-4.3-j8k.patch
+
+# https://bugzilla.redhat.com/show_bug.cgi?id=1827850
+# https://savannah.gnu.org/bugs/?58232
+# Remove on next make rebase
+Patch4: make-4.3-cloexec.patch
 
 Buildroot: %{_tmppath}/%{name}-%{version}-root
 Requires(post): /sbin/install-info
@@ -47,9 +36,6 @@ BuildRequires: perl
 BuildRequires: procps
 BuildRequires: texinfo
 
-Vendor: Project Vine
-Distribution: Vine Linux
-
 %description
 A GNU tool for controlling the generation of executables and other
 non-source files of a program from the program's source files.  Make
@@ -72,6 +58,10 @@ commonly used to simplify the process of installing programs.
 GNU make ツールは,プログラムのインストールを容易にするのに
 非常によく使われますので,このパッケージは是非インストールして下さい.
 
+
+%debug_package
+
+
 %prep
 %autosetup -p1
 
@@ -82,11 +72,7 @@ cp -f %{SOURCE1} po/ja.po
 %build
 autoreconf -vfi
 
-%if %{?_dist_release} == "vl6"
-%configure
-%else
 %configure --with-guile
-%endif
 make -C po ja.gmo
 make %{?_smp_mflags}
 
@@ -126,6 +112,13 @@ fi
 %{_includedir}/gnumake.h
 
 %changelog
+* Wed Feb 24 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.3-1
+- new upstream release.
+- updated ja.po.
+- dropped Patch1, 4-9.
+- updated Patch0 and 3.
+- imported Patch4 from rawhide.
+
 * Wed Sep 11 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.2.1-1
 - new upstream release.
 - updated patches.

+ 16 - 7
m/mariadb/mariadb-vl.spec

@@ -15,10 +15,10 @@
 
 %define _unpackaged_files_terminate_build 1
 
-%define mariadb_version		10.5.8
+%define mariadb_version		10.5.9
 %define mariadb_base_version	10.5
-%define mroonga_version		10.07
-%define groonga_version		10.0.8
+%define mroonga_version		11.00
+%define groonga_version		11.0.0
 %define client_version		18
 
 %define galera_api_version	26.4
@@ -52,9 +52,10 @@ Source1000:	macros.mariadb.in
 Patch0:		mariadb-scripts.patch
 
 # replace mroonga to the newest version.
-Patch1000: 0001-MariaDB-%{mariadb_version}-Mroonga-v%{mroonga_version}-Groonga-v%{groonga_version}.patch
-#
-Patch2000:	MDEV-24130.patch
+Patch1000:	0001-MariaDB-%{mariadb_version}-Mroonga-v%{mroonga_version}-Groonga-v%{groonga_version}.patch
+
+# https://github.com/mroonga/mroonga/issues/392
+Patch1001:	mariadb-10.5.9_mroonga-11.00-fix-FTBFS.patch
 
 BuildRoot:	%{_tmppath}/%{name}-%{version}-root
 BuildRequires:	bison, cmake, gcc-c++, groff, git
@@ -263,13 +264,16 @@ into a client application instead of running as a separate process.
 %patch0 -p1
 %endif
 git --git-dir= apply -p1 %{PATCH1000}
-%patch2000 -p1
 
 cp -f \
 	%{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE14} \
 	%{SOURCE15} %{SOURCE16} %{SOURCE18} \
 	scripts/
 
+pushd storage/mroonga
+%patch1001 -p1
+popd
+
 
 %build
 # Be strict about variables, bail at earliest opportunity, etc.
@@ -858,6 +862,11 @@ fi
 
 
 %changelog
+* Tue Feb 23 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 10.5.9-1
+- new upstream release.
+- dropped Patch2000: fixed in upstream.
+- added Patch1001 to fix FTBFS.
+
 * Thu Nov 12 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 10.5.8-1
 - new upstream release.
 - added Patch2000 to fix failure on starting mariadbd.

+ 339 - 0
m/mozjs78/mozjs78-vl.spec

@@ -0,0 +1,339 @@
+%global major 78
+
+# LTO - Enable in Release builds, but consider disabling for development as it increases compile time
+%global build_with_lto    1
+
+# Require tests to pass?
+%global require_tests     0
+
+%if 0%{?build_with_lto}
+# LTO is default since F33 and F32 package is backported as is, so no LTO there
+%else
+%define _lto_cflags %{nil}
+%endif
+
+# Require libatomic for ppc
+%ifarch ppc
+%global system_libatomic 1
+%endif
+
+# Big endian platforms
+%ifarch ppc ppc64 s390 s390x
+%global big_endian 1
+%endif
+
+Name:           mozjs%{major}
+Version:        78.7.0
+Release:        1%{?_dist_release}
+Summary:        SpiderMonkey JavaScript library
+Group:          system
+Vendor:	        Project Vine
+Distribution:   Vine Linux
+
+License:        MPLv2.0 and MPLv1.1 and BSD and GPLv2+ and GPLv3+ and LGPLv2+ and AFL and ASL 2.0
+URL:            https://developer.mozilla.org/en-US/docs/Mozilla/Projects/SpiderMonkey
+Source0:        https://ftp.mozilla.org/pub/firefox/releases/%{version}esr/source/firefox-%{version}esr.source.tar.xz
+
+# Patches from mozjs68, rebased for mozjs78:
+Patch01:        fix-soname.patch
+Patch02:        copy-headers.patch
+Patch03:        tests-increase-timeout.patch
+Patch09:        icu_sources_data.py-Decouple-from-Mozilla-build-system.patch
+Patch10:        icu_sources_data-Write-command-output-to-our-stderr.patch
+
+# Build fixes - https://hg.mozilla.org/mozilla-central/rev/ca36a6c4f8a4a0ddaa033fdbe20836d87bbfb873
+Patch12:        emitter.patch
+
+# Build fixes
+Patch14:        init_patch.patch
+# TODO: Check with mozilla for cause of these fails and re-enable spidermonkey compile time checks if needed
+Patch15:        spidermonkey_checks_disable.patch
+
+# armv7 fixes
+Patch17:        armv7_disable_WASM_EMULATE_ARM_UNALIGNED_FP_ACCESS.patch
+
+# s390x/ppc64 fixes, TODO: file bug report upstream?
+Patch18:        spidermonkey_style_check_disable_s390x.patch
+Patch19:        0001-Skip-failing-tests-on-ppc64-and-s390x.patch
+
+# fix error to build with rust-1.50
+Patch1000:      mozjs-rust1_50.patch
+
+BuildRequires: make
+BuildRequires:  autoconf213
+BuildRequires:  cargo
+BuildRequires:  clang-devel
+BuildRequires:  gcc
+BuildRequires:  gcc-c++
+BuildRequires:  nasm
+BuildRequires:  llvm
+BuildRequires:  llvm-devel
+BuildRequires:  rust
+BuildRequires:  perl
+BuildRequires:  pkgconfig(libffi)
+BuildRequires:  pkgconfig(zlib)
+BuildRequires:  python3-devel
+BuildRequires:  python3-setuptools
+BuildRequires:  python3-six
+BuildRequires:  readline-devel
+BuildRequires:  zip
+
+%if 0%{?big_endian}
+BuildRequires:  icu
+%endif
+
+%if 0%{?system_libatomic}
+BuildRequires:  libatomic
+%endif
+
+%description
+SpiderMonkey is the code-name for Mozilla Firefox's C++ implementation of
+JavaScript. It is intended to be embedded in other applications
+that provide host environments for JavaScript.
+
+
+%package        devel
+Summary:        Development files for %{name}
+Group:          programming
+Requires:       %{name}%{?_isa} = %{version}-%{release}
+
+%description    devel
+The %{name}-devel package contains libraries and header files for
+developing applications that use %{name}.
+
+
+%debug_package
+
+
+%prep
+%setup -q -n firefox-%{version}/js/src
+
+pushd ../..
+%patch01 -p1
+%patch02 -p1
+%patch03 -p1
+%patch09 -p1
+%patch10 -p1
+
+%patch12 -p1
+
+%patch14 -p1
+%patch15 -p1
+
+%ifarch armv7hl
+# Disable WASM_EMULATE_ARM_UNALIGNED_FP_ACCESS as it causes the compilation to fail
+# https://bugzilla.mozilla.org/show_bug.cgi?id=1526653
+%patch17 -p1
+%endif
+
+%ifarch s390x
+%patch18 -p1
+%endif
+
+# Fixes for ppc64 and s390x, there is no need to keep it in ifarch here since mozilla tests support ifarch conditions
+%patch19 -p1
+
+# for rust-1.50.0
+%patch1000 -p1
+
+# Copy out the LICENSE file
+cp LICENSE js/src/
+popd
+
+# Remove zlib directory (to be sure using system version)
+rm -rf ../../modules/zlib
+
+
+%build
+# Prefer GCC for now
+export CC=gcc
+export CXX=g++
+
+# Workaround
+# error: options `-C embed-bitcode=no` and `-C lto` are incompatible
+# error: could not compile `jsrust`.
+# https://github.com/japaric/cargo-call-stack/issues/25
+export RUSTFLAGS="-C embed-bitcode"
+
+%if 0%{?build_with_lto}
+# https://github.com/ptomato/mozjs/commit/36bb7982b41e0ef9a65f7174252ab996cd6777bd
+export CARGO_PROFILE_RELEASE_LTO=true
+%endif
+
+export CFLAGS="%{optflags}"
+export CXXFLAGS="$CFLAGS"
+export LINKFLAGS="%{?__global_ldflags}"
+export PYTHON="%{__python3}"
+
+autoconf-2.13
+%configure \
+  --without-system-icu \
+  --with-system-zlib \
+  --disable-tests \
+  --disable-strip \
+  --with-intl-api \
+  --enable-readline \
+  --enable-shared-js \
+  --enable-optimize \
+  --disable-debug \
+  --enable-pie \
+  --disable-jemalloc
+
+%if 0%{?big_endian}
+echo "Generate big endian version of config/external/icu/data/icud67l.dat"
+pushd ../..
+  icupkg -tb config/external/icu/data/icudt67l.dat config/external/icu/data/icudt67b.dat
+  rm -f config/external/icu/data/icudt*l.dat
+popd
+%endif
+
+%make_build
+
+
+%install
+%make_install
+
+# Fix permissions
+chmod -x %{buildroot}%{_libdir}/pkgconfig/*.pc
+
+# Avoid multilib conflicts
+case `uname -i` in
+  i386 | ppc | s390 | sparc )
+    wordsize="32"
+    ;;
+  x86_64 | ppc64 | s390x | sparc64 )
+    wordsize="64"
+    ;;
+  *)
+    wordsize=""
+    ;;
+esac
+
+if test -n "$wordsize"
+then
+  mv %{buildroot}%{_includedir}/mozjs-%{major}/js-config.h \
+     %{buildroot}%{_includedir}/mozjs-%{major}/js-config-$wordsize.h
+
+  cat >%{buildroot}%{_includedir}/mozjs-%{major}/js-config.h <<EOF
+#ifndef JS_CONFIG_H_MULTILIB
+#define JS_CONFIG_H_MULTILIB
+
+#include <bits/wordsize.h>
+
+#if __WORDSIZE == 32
+# include "js-config-32.h"
+#elif __WORDSIZE == 64
+# include "js-config-64.h"
+#else
+# error "unexpected value for __WORDSIZE macro"
+#endif
+
+#endif
+EOF
+
+fi
+
+# Remove unneeded files
+rm %{buildroot}%{_bindir}/js%{major}-config
+rm %{buildroot}%{_libdir}/libjs_static.ajs
+
+# Rename library and create symlinks, following fix-soname.patch
+mv %{buildroot}%{_libdir}/libmozjs-%{major}.so \
+   %{buildroot}%{_libdir}/libmozjs-%{major}.so.0.0.0
+ln -s libmozjs-%{major}.so.0.0.0 %{buildroot}%{_libdir}/libmozjs-%{major}.so.0
+ln -s libmozjs-%{major}.so.0 %{buildroot}%{_libdir}/libmozjs-%{major}.so
+
+
+%check
+# Run SpiderMonkey tests
+%if 0%{?require_tests}
+PYTHONPATH=tests/lib %{__python3} tests/jstests.py -d -s -t 1800 --no-progress --wpt=disabled ../../js/src/dist/bin/js%{major}
+%else
+PYTHONPATH=tests/lib %{__python3} tests/jstests.py -d -s -t 1800 --no-progress --wpt=disabled ../../js/src/dist/bin/js%{major} || :
+%endif
+
+# Run basic JIT tests
+%if 0%{?require_tests}
+PYTHONPATH=tests/lib %{__python3} jit-test/jit_test.py -s -t 1800 --no-progress ../../js/src/dist/bin/js%{major} basic
+%else
+PYTHONPATH=tests/lib %{__python3} jit-test/jit_test.py -s -t 1800 --no-progress ../../js/src/dist/bin/js%{major} basic || :
+%endif
+
+
+%ldconfig_scriptlets
+
+
+%files
+%doc README.html
+%license LICENSE
+%{_libdir}/libmozjs-%{major}.so.0*
+
+%files devel
+%{_bindir}/js%{major}
+%{_libdir}/libmozjs-%{major}.so
+%{_libdir}/pkgconfig/*.pc
+%{_includedir}/mozjs-%{major}/
+
+
+%changelog
+* Wed Feb 24 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 78.7.0-1
+- switched to mozjs-78.
+
+* Tue Aug 04 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 68.11.0-1
+- initial build for Vine Linux.
+- new upstream release.
+
+* Tue Jun 30 2020 Frantisek Zatloukal <fzatlouk@redhat.com> - 68.10.0-1
+- Update to 68.10.0
+
+* Tue Jun 02 2020 Frantisek Zatloukal <fzatlouk@redhat.com> - 68.9.0-1
+- Update to 68.9.0
+- Drop llvm and rust deps
+
+* Wed May 06 2020 Frantisek Zatloukal <fzatlouk@redhat.com> - 68.8.0-1
+- Update to 68.8.0
+
+* Tue Apr 07 2020 Frantisek Zatloukal <fzatlouk@redhat.com> - 68.7.0-1
+- Update to 68.7.0
+
+* Tue Mar 17 2020 Frantisek Zatloukal <fzatlouk@redhat.com> - 68.6.0-2
+- Rebuild with GCC 10
+- Nuke check_spidermonkey_style.py on s390x
+
+* Wed Mar 11 2020 Kalev Lember <klember@redhat.com> - 68.6.0-1
+- Update to 68.6.0
+
+* Mon Feb 10 2020 Frantisek Zatloukal <fzatlouk@redhat.com> - 68.5.0-1
+- Update to 68.5.0
+
+* Mon Feb 03 2020 Kalev Lember <klember@redhat.com> - 68.4.2-3
+- Build with --enable-unaligned-private-values
+
+* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 68.4.2-2
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
+
+* Wed Jan 22 2020 Frantisek Zatloukal <fzatlouk@redhat.com> - 68.4.2-1
+- Update to 68.4.2
+
+* Tue Jan 07 2020 Frantisek Zatloukal <fzatlouk@redhat.com> - 68.4.0-1
+- Update to 68.4.0
+
+* Sat Dec 07 2019 Frantisek Zatloukal <fzatlouk@redhat.com> - 68.3.0-1
+- Update to 68.3.0
+
+* Wed Nov 20 2019 Frantisek Zatloukal <fzatlouk@redhat.com> - 68.2.0-5
+- Don't enforce tests to pass on s390 and s390x again
+
+* Tue Nov 19 2019 Frantisek Zatloukal <fzatlouk@redhat.com> - 68.2.0-4
+- Enable LTO
+- Enforce SpiderMonkey tests in check section on all architectures
+
+* Sun Nov 17 2019 Frantisek Zatloukal <fzatlouk@redhat.com> - 68.2.0-3
+- Fix armv7 build
+
+* Thu Nov 14 2019 Frantisek Zatloukal <fzatlouk@redhat.com> - 68.2.0-2
+- Fix s390x build
+- Exclude armv7 for now, see comment up in the spec
+
+* Mon Nov 04 2019 Frantisek Zatloukal <fzatlouk@redhat.com> - 68.2.0-1
+- Initial mozjs68 package based on mozjs60

+ 20 - 8
m/mpfr/mpfr-vl.spec

@@ -1,18 +1,15 @@
 Summary: A C library for multiple-precision floating-point computations
 Name: mpfr
-Version: 4.0.2
+Version: 4.1.0
 Release: 1%{?_dist_release}
-Group: System Environment/Libraries
+Group: system
 Vendor: Project Vine 
 Distribution: Vine Linux
 Packager: inagaki, kenta
+
 License: LGPLv3+
 URL: https://www.mpfr.org/
-
 Source0: https://www.mpfr.org/mpfr-%{version}/mpfr-%{version}.tar.xz
-# https://gforge.inria.fr/scm/viewvc.php/mpfr?revision=13499&view=revision
-# https://www.mpfr.org/mpfr-4.0.2/patch01
-Patch0: rev13499.patch
 
 BuildRoot: %{_tmppath}/%{name}-%{version}-root
 BuildRequires: gmp-devel
@@ -25,9 +22,10 @@ also has a well-defined semantics. It copies the good ideas from the
 ANSI/IEEE-754 standard for double-precision floating-point arithmetic 
 (53-bit mantissa). MPFR is based on the GMP multiple-precision library.
 
+
 %package devel
 Summary: Development tools A C library for mpfr library
-Group: Development/Libraries
+Group: programming
 Requires: %{name} = %{version}-%{release}
 Requires: gmp-devel >= 4.2.3
 Requires(post): /sbin/install-info
@@ -41,9 +39,14 @@ If you want to develop applications which will use the MPFR library,
 you'll need to install the mpfr-devel package.  You'll also need to
 install the mpfr package.
 
+
+%debug_package
+
+
 %prep
 %autosetup -p1
 
+
 %build
 %configure --disable-assert --disable-static
 
@@ -56,6 +59,7 @@ sed -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
 
 make %{?_smp_mflags}
 
+
 %install
 rm -rf $RPM_BUILD_ROOT
 %make_install
@@ -65,12 +69,13 @@ rm -f %{buildroot}%{_infodir}/dir
 #these go into licenses, not doc
 rm -f %{buildroot}%{_datadir}/doc/COPYING{,.LESSER}
 
+
 %check
 export LD_LIBRARY_PATH=%{buildroot}%{_libdir}
 make %{?_smp_mflags} check
 
-%post -p /sbin/ldconfig
 
+%post -p /sbin/ldconfig
 %postun -p /sbin/ldconfig
 
 %post devel
@@ -81,9 +86,11 @@ if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/mpfr.info.gz %{_infodir}/dir || :
 fi
 
+
 %clean
 rm -rf $RPM_BUILD_ROOT
 
+
 %files
 %defattr(-,root,root,-)
 %license COPYING COPYING.LESSER
@@ -98,7 +105,12 @@ rm -rf $RPM_BUILD_ROOT
 %{_includedir}/*.h
 %{_infodir}/mpfr.info*
 
+
 %changelog
+* Mon Feb 22 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.1.0-1
+- new upstream release.
+- dropped Patch0: fixed in upstream.
+
 * Wed Mar 18 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.0.2-1
 - new upstream release.
 

+ 4 - 1
n/nettle/nettle-vl.spec

@@ -3,7 +3,7 @@
 Summary:        A low-level cryptographic library
 Summary(ja):    低レベル暗号化ライブラリ
 Name:           nettle
-Version:        3.7
+Version:        3.7.1
 Release:        1%{?_dist_release}
 Group:          system
 Vendor:         Project Vine
@@ -161,6 +161,9 @@ fi
 
 
 %changelog
+* Wed Feb 24 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.7.1-1
+- new upstream release.
+
 * Tue Feb 02 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.7-1
 - new upstream release.
 

+ 17 - 7
p/parted/parted-vl.spec

@@ -3,7 +3,7 @@
 Summary: The GNU disk partition manipulation program.
 Summary(ja): ディスクパーティション操作ツール
 Name: parted
-Version: 3.3
+Version: 3.4
 Release: 1%{?_dist_release}
 Group: admin-tools,system
 Vendor: Project Vine
@@ -13,9 +13,6 @@ License: GPLv3
 URL: http://www.gnu.org/software/parted/
 Source0: https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.xz
 
-# Upstream still uses python2 for these scripts
-Patch0000: 0092-Switch-gpt-header-move-and-msdos-overlap-to-python3.patch
-
 Buildroot: %{_tmppath}/%{name}-%{version}-root
 BuildRequires: e2fsprogs-devel, ncurses-devel, readline-devel
 BuildRequires: python3-devel, ncurses-devel
@@ -61,12 +58,16 @@ GNU Parted ライブラリにはハードディスクのパーティションを
 ディスクパーティションやファイルシステムを操作するプログラムを開発
 したいのであれば、このパッケージをインストールして下さい。
 
+
+%debug_package
+
+
 %prep
 %setup -q
-%patch0 -p1 -b .python3
 
 iconv -f ISO-8859-1 -t UTF8 AUTHORS > tmp; touch -r AUTHORS tmp; mv tmp AUTHORS
 
+
 %build
 autoreconf
 autoconf
@@ -82,6 +83,7 @@ CFLAGS="$RPM_OPT_FLAGS -Wno-unused-but-set-variable"; export CFLAGS
 
 %__make %{?_smp_mflags}
 
+
 %install
 [ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
 %__make install DESTDIR=$RPM_BUILD_ROOT
@@ -93,6 +95,11 @@ CFLAGS="$RPM_OPT_FLAGS -Wno-unused-but-set-variable"; export CFLAGS
 
 %find_lang %{name}
 
+
+%clean
+[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
+
+
 %post
 /sbin/ldconfig
 /sbin/install-info %{_infodir}/parted.info.gz %{_infodir}/dir >/dev/null 2>&1 || : 
@@ -105,8 +112,6 @@ if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/parted.info.gz %{_infodir}/dir >/dev/null 2>&1 || :
 fi
 
-%clean
-[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
 
 %files -f %{name}.lang
 %defattr(-,root,root)
@@ -126,7 +131,12 @@ fi
 %{_libdir}/*.a
 %{_libdir}/pkgconfig/libparted*.pc
 
+
 %changelog
+* Wed Feb 24 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.4-1
+- new upstream release.
+- dropped Patch0.
+
 * Mon Aug 10 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.3-1
 - new upstream release.
 

+ 5 - 2
p/pcre2/pcre2-vl.spec

@@ -3,7 +3,7 @@
 Summary: Perl-compatible regular expression library
 Summary(ja): Perl 互換の正規表現ライブラリ
 Name: pcre2
-Version: 10.35
+Version: 10.36
 Release: 1%{?_dist_release}
 Group: system
 Vendor: Project Vine
@@ -59,7 +59,7 @@ for the POSIX-style functions is called pcreposix.h.
 %package -n compat32-%{name}-devel
 Summary: Development files for %{name}
 Summary(ja): %{name} の開発用ファイル
-Group: programming
+Group: programming,legacy
 Requires: compat32-%{name} = %{version}-%{release}
 
 %description -n compat32-%{name}-devel
@@ -158,6 +158,9 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Mon Feb 22 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 10.36-1
+- new upstream release.
+
 * Thu Oct 08 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 10.35-1
 - new upstream release.
 

+ 12 - 6
p/polkit/polkit-vl.spec

@@ -3,7 +3,7 @@
 Summary: PolicyKit Authorization Framework
 Summary(ja): PolicyKit 認証フレームワーク
 Name: polkit
-Version: 0.117
+Version: 0.118
 Release: 1%{?_dist_release}%{?with_systemd:.systemd}
 Group: system
 Vendor: Project Vine
@@ -18,7 +18,7 @@ BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
 BuildRequires: glib2-devel
 BuildRequires: expat-devel
 BuildRequires: pam-devel
-BuildRequires: mozjs68-devel
+BuildRequires: mozjs78-devel
 BuildRequires: gtk-doc
 BuildRequires: intltool
 BuildRequires: gobject-introspection-devel
@@ -46,6 +46,7 @@ PolicyKit is a toolkit for defining and handling authorizations.
 It is used for allowing unprivileged processes to speak to privileged
 processes.
 
+
 %package devel
 Summary: Development files for PolicyKit
 Summary(ja): PolicyKit の開発用ファイル
@@ -58,6 +59,7 @@ Requires: glib2-devel
 %description devel
 Development files for PolicyKit.
 
+
 %package docs
 Summary: Development documentation for PolicyKit
 Summary(ja): PolicyKit の開発用ドキュメント
@@ -69,6 +71,9 @@ Requires: gtk-doc
 Development documentation for PolicyKit.
 
 
+%debug_package
+
+
 %prep
 %setup -q
 %if !%{with systemd}
@@ -78,8 +83,6 @@ Development documentation for PolicyKit.
 
 %build
 autoreconf -vif
-
-export CXXFLAGS="%{optflags} -std=gnu++14"
 %configure \
 	--with-os-type=redhat \
 	--enable-gtk-doc \
@@ -111,8 +114,8 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %pre
-groupadd -g 27 -r polkitd 2>&1 > /dev/null || :
-useradd -u 27 -g polkitd -r -d '/' -s /sbin/nologin -c "User for polkitd" polkitd 2>&1 > /dev/null || :
+groupadd -g 27 -r polkitd >/dev/null 2>&1 || :
+useradd -u 27 -g polkitd -r -d '/' -s /sbin/nologin -c "User for polkitd" polkitd >/dev/null 2>&1 || :
 exit 0
 
 %post
@@ -182,6 +185,9 @@ exit 0
 
 
 %changelog
+* Wed Feb 24 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.118-1
+- new upstream release.
+
 * Fri Aug 07 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.117-1
 - new upstream release.
 - dropped Patch1-3: fixed in upstream.

+ 13 - 1
s/strongswan/strongswan-vl.spec

@@ -7,7 +7,7 @@
 #%%define prerelease dr1
 
 Name:           strongswan
-Version:        5.9.0
+Version:        5.9.1
 Release:        1%{?_dist_release}%{?with_systemd:.systemd}
 Summary:        An OpenSource IPsec-based VPN and TNC solution
 Summary(ja):    オープンソースのIPsec VPN/TNCソリューション
@@ -62,25 +62,34 @@ The strongSwan IPsec implementation supports both the IKEv1 and IKEv2 key
 exchange protocols in conjunction with the native NETKEY IPsec stack of the
 Linux kernel.
 
+
 %package libipsec
 Summary: Strongswan's libipsec backend
+Group: servers,security
+
 %description libipsec
 The kernel-libipsec plugin provides an IPsec backend that works entirely
 in userland, using TUN devices and its own IPsec implementation libipsec.
 
+
 %package charon-nm
 Summary:        NetworkManager plugin for Strongswan
+Group:          servers,security
 Requires:       dbus
 Obsoletes:      %{name}-NetworkManager < 0:5.0.4-5
 Conflicts:      %{name}-NetworkManger < 0:5.0.4-5
+
 %description charon-nm
 NetworkManager plugin integrates a subset of Strongswan capabilities
 to NetworkManager.
 
+
 %if %{with tss}
 %package tnc-imcvs
 Summary: Trusted network connect (TNC)'s IMC/IMV functionality
+Group: servers,security
 Requires: %{name} = %{version}
+
 %description tnc-imcvs
 This package provides Trusted Network Connect's (TNC) architecture support.
 It includes support for TNC client and server (IF-TNCCS), IMC and IMV message
@@ -336,6 +345,9 @@ fi
 
 
 %changelog
+* Mon Feb 22 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 5.9.1-1
+- new upstream release.
+
 * Tue Aug 18 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 5.9.0-1
 - new upstream release.
 

+ 20 - 14
t/tar/tar-vl.spec

@@ -1,28 +1,28 @@
 Summary: A GNU file archiving program.
 Summary(ja): GNU ファイルアーカイブプログラム
 Name: tar
-Version: 1.32
+Version: 1.34
 Release: 1%{?_dist_release}
-License: GPLv3+
-Group: Applications/Archiving
-Source: ftp://ftp.gnu.org/pub/gnu/tar/tar-%{version}.tar.xz
+Group: accessories
+Vendor: Project Vine
+Distribution: Vine Linux
 
+License: GPLv3+
+Source: https://ftp.gnu.org/gnu/tar/tar-%{version}.tar.xz
 # Note that all patches are documented in patch files (git format-patch format)
 Patch1:  tar-1.28-loneZeroWarning.patch
 Patch2:  tar-1.28-vfatTruncate.patch
 Patch3:  tar-1.29-wildcards.patch
 Patch4:  tar-1.28-atime-rofs.patch
 Patch9:  tar-1.28-document-exclude-mistakes.patch
+Patch10: tar-1.33-fix-capabilities-test.patch
 
-Buildroot: %{_tmppath}/%{name}-%{version}-root
+BuildRoot: %{_tmppath}/%{name}-%{version}-root
 BuildRequires: autoconf texinfo gettext
 BuildRequires: libacl-devel